## org.omg.PortableInterceptor
Class SlotIdHelper

    java.lang.Object
      |
      +--org.omg.PortableInterceptor.SlotIdHelper

public class SlotIdHelper
extends java.lang.Object

Helper class for : SlotId

Author:
  OpenORB Compiler

Constructor Summary
`SlotIdHelper()`

Method Summary
`static int` `extract(Any a)` Extract SlotId from an any
`static java.lang.String` `id()` Return the SlotId IDL ID
`static void` `insert(Any a, int t)` Insert SlotId into an any
`static int` `read(InputStream istream)` Read SlotId from a marshalled stream
`static TypeCode` `type()` Return the SlotId TypeCode
`static void` `write(OutputStream ostream, int value)` Write SlotId into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SlotIdHelper

    public SlotIdHelper()

Method Detail

### insert

    public static void insert(Any a,
                              int t)

  Insert SlotId into an any
  Parameters:
    `a` - an any
    `t` - SlotId value

### extract

    public static int extract(Any a)

  Extract SlotId from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted SlotId value

### type

    public static TypeCode type()

  Return the SlotId TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the SlotId IDL ID
  Returns:
    an ID

### read

    public static int read(InputStream istream)

  Read SlotId from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed SlotId value

### write

    public static void write(OutputStream ostream,
                             int value)

  Write SlotId into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - SlotId value